4055983409 Genuine Halogen Lamp Kit 28W E14 for Electrolux, Westinghouse Rangehoods RFC600S RFC900S RRC600S RRC900S RFC630S RRC630S

GenuineGenuine part supplied by the appliance manufacturer. SKU 4055983409
Original part no.
4055983409
Part grade
Genuine
Appliance
Rangehood Parts
$36.99 inc GST$33.63 ex GST
Order inApprox. 5 to 15 days to arrive in store

This part is an order in item. We order it from our supplier once you place your order. It usually takes approximately 5 to 15 days to arrive in store, then we ship it to you or hold it for collection.

Tracked delivery Australia-wide Dispatched as soon as it reaches us. Approx. 5 to 15 days to arrive in store.
Delivery times by state
WA metro1 to 2 business days
WA regional2 to 5 business days
SA and NT3 to 6 business days
VIC, NSW and ACT3 to 6 business days
QLD4 to 7 business days
TAS4 to 7 business days
Remote areas5 to 10 business days

Estimated times after dispatch. Tracking details are emailed when your order ships.

Local pickup in WAMorley, Myaree or Joondalup
  • 3/135 Russell StreetIn stock at this store

Choose Pickup at checkout to collect from our Morley, Myaree or Joondalup store in Western Australia. Please wait for your ready for collection notification before coming in.

Check your model number before ordering. Not sure this part suits your appliance? Send us your model number and we will confirm it for you.

  • Genuine manufacturer part
  • Tracked delivery Australia-wide
  • Parts experts on call
  • Secure checkout

Product details

Part 4055983409 is a genuine Electrolux lamp kit built around a clear 28W halogen globe with an E14 small Edison screw cap. It's the replacement light for Electrolux and Westinghouse rangehoods in the RFC and RRC ranges, including the RFC600S, RFC900S and RRC600S. The kit pairs the lamp with a seal and takes over from the older numbers 4055178703K and 0060002083K, so either of those on your old packet points here.

Rangehood light out? Check the halogen globe

The halogen lamp lights the cooktop under the rangehood so you can see what's happening in the pans. Halogen globes run hot and eventually blow, and the usual sign is one light out while the fan still runs normally. A globe that flickers or has cloudy, darkened glass is close to the end as well. If a fresh globe doesn't light, check the light switch and the wiring to the holder. This lamp and seal kit is also the combination specified for Electrolux group fridges running on R600a gas, so don't swap it for an ordinary globe in those fridges.

Part details

  • Genuine Electrolux part 4055983409
  • Clear 28W halogen globe, 220-240V
  • E14 small Edison screw cap
  • Lamp and seal supplied together as a kit
  • Replaces 4055178703K and 0060002083K
  • Fits RFC and RRC series rangehoods
Power 28W
Voltage 220-240V
Cap E14 small Edison screw
Type Halogen, clear glass
Kit Lamp and seal

Swapping the rangehood globe

Switch the rangehood off at the wall or isolate it at the switchboard, then give the old globe time to cool, as halogens get very hot. Remove the light cover or filter to reach the holder. Handle the new globe with a clean cloth or glove, since skin oil on halogen glass shortens its life. Fit the seal as supplied, refit the cover and test the light.

Questions about this part

Which rangehoods does 4055983409 fit?

It's listed for Electrolux and Westinghouse rangehoods in the RFC600, RFC630, RFC900, RFC930, RRC600, RRC630, RRC635 and RRC900 ranges. The model label is usually inside the hood behind the filter, so check it against those numbers.

Can this kit be used in a fridge?

It's the lamp and seal combination specified for Electrolux group fridges that run on R600a gas. Compare the E14 cap and 28W rating with the globe you're replacing to confirm the match.

Specifications

Original part number4055983409
Part gradeGenuine : Genuine part supplied by the appliance manufacturer.
SKU4055983409
ApplianceRangehood Parts
Shipping weight0.15 kg

Shipping and returns

Shipping

In-stock parts ordered before 2pm AWST on business days are dispatched the same day. We deliver Australia-wide with Australia Post and couriers, with tracking on every order.

Order in parts usually reach us within 5 to 15 days and are then dispatched to you straight away.

Local pickup is also available from our stores in Morley, Myaree and Joondalup, Western Australia. Choose Pickup at checkout and wait for your ready for collection notification before coming in.

Returns

Unused parts in original packaging can be returned within 30 days. Electrical parts that have been fitted cannot be returned unless faulty. Please check your model number before ordering.

You may also need

Can't find the part you need?

Our parts team can source from over 2.4 million parts. Send us your model number and we will come back to you, usually the same day.